## Bitcoin Payment Service (Deal Module) config file

[main]
user=$UNAME
group=$UNAME

limitnofile=8192

## Count worker process
## default: 1
workers=$WORKERS

## Create helper process
## default: false
#helper=false

## Create master process
## Master process run processes:
## - worker (if count not equal 0)
## - helper (if value equal true)
## - process/* (if enabled)
## default: true
master=true

## Module: Web Service
[module/WebService]
## default: true
enable=true

## Module: Web Socket
[module/WebSocket]
## default: false
enable=true

[daemon]
## Run as daemon
## default: true
daemon=false

## Pid file
## default: logs/dm.pid
pid=/run/dm.pid

[log]
## Log files
## Available keys: alert, crit, error, warn, notice, info, debug
## default: error=logs/error.log
#alert=logs/error.log
crit=/var/log/dm/crit.log
error=/var/log/dm/error.log
#warn=/var/log/dm/error.log
#notice=/var/log/dm/message.log
#info=/var/log/dm/message.log
#debug=/var/log/dm/debug.log

[stream]
log=/var/log/dm/stream.log

## HTTP (Server) config section
[server]
## Listen address
## default: 0.0.0.0
listen=0.0.0.0

## Listen port number
## default: 4977
port=4999

## Connection timeout
## default: 5000
#timeout=5000

## Default web server file path
root=www

## Access log file
log=/var/log/dm/access.log

[module]
## Module Bitcoin address
## default: empty
address=$DM_BITCOIN

## OAuth2 configuration file
## default: service.json
oauth2=oauth2/service.json

## Module transaction fee as a percentage of the deal amount
## ATTENTION: If the value is specified as a percentage, you MUST indicate the sign “%”,
##            otherwise it will be a FIXED value in satoshi.
## default: 0.1%
fee=$DM_FEE

[pgp]
## Path to PGP private file key
## default: empty
private=$PGP_SEC_FILE

## Path to PGP public file key
## default: empty
public=$BITDEALS_PGP_FILE

## PGP passphrase
## default: empty
passphrase=$DM_PGP_PASSWORD
